Page MenuHomePhabricator

Create cookbook to reset readonly indices on elasticsearch clusters
Closed, ResolvedPublic

Description

As seen in T219364, indices can move to readonly state when disk space is low. This needs to be reset manually once disk space is available again. This should be a cookbook.

Event Timeline

Gehel created this task.Apr 1 2019, 3:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2019, 3:48 PM

Change 502218 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/software/spicerack@master] elasticsearch: reset all indices to read/write

https://gerrit.wikimedia.org/r/502218

Change 502220 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/cookbooks@master] elasticsearch: reset all indices to read/write

https://gerrit.wikimedia.org/r/502220

fgiunchedi triaged this task as Normal priority.Apr 9 2019, 8:37 AM
Gehel claimed this task.Apr 9 2019, 5:17 PM

Change 502218 merged by Gehel:
[operations/software/spicerack@master] elasticsearch: reset all indices to read/write

https://gerrit.wikimedia.org/r/502218

debt closed this task as Resolved.Apr 15 2019, 5:37 PM

Change 502220 merged by Gehel:
[operations/cookbooks@master] elasticsearch: reset all indices to read/write

https://gerrit.wikimedia.org/r/502220